## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface DoubleObjectPrivilege

All Superinterfaces:
  Privilege, SQLObject

All Known Implementing Classes:
  DoubleObjectPrivilegeImpl

public interface DoubleObjectPrivilege
extends Privilege

A representation of the model object 'Double Object Privilege'. Reference: 5WD-02-Foundation-2002-12 4.34.2 Privileges

The following features are supported:

- `Object2`

See Also:
  `SQLAccessControlPackage.getDoubleObjectPrivilege()`

Method Summary
`SQLObject` `getObject2()` Returns the value of the 'Object2' reference.
`void` `setObject2(SQLObject value)` Sets the value of the '`Object2`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.Privilege
`getAction, getGrantor, getObject, isGrantable, setAction, setGrantable, setGrantor, setObject`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getObject2

    public SQLObject getObject2()

  Returns the value of the 'Object2' reference.

  If the meaning of the 'Object2' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object2' reference.
  See Also:
    `setObject2(SQLObject)`, `SQLAccessControlPackage.getDoubleObjectPrivilege_Object2()`

### setObject2

    public void setObject2(SQLObject value)

  Sets the value of the '`Object2`' reference.

  Parameters:
    `value` - the new value of the 'Object2' reference.
  See Also:
    `getObject2()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.